﻿
local MAJOR, MINOR = "LibMounts-1.0", tonumber("20101011213518") or 99999999999999 -- dev version should ovewrite normal version
local lib = LibStub:NewLibrary(MAJOR, MINOR)

if not lib then return end

lib.data = LibStub("LibMounts-1.0_Data")

--- Register a new locale (or extend an existing one) for the specified application.
-- @param id Spell id of a Mount
-- @usage local ground, air, water, speed, location = LibStub("LibMounts-1.0"):GetMountInfo(id)
-- @return <ground> boolean true if mount is primarily a ground mount (or can switch between ground and air only modes)
-- @return <air> boolean true if mount is primarily an air mount (or can switch between air and ground only modes)
-- @return <water> boolean true if mount is primarily a water mount
-- @return <speed> number speed of mount if non standard (will always be slower than standard)
-- @return <location> string location this mount is restricted to (valid returns are "AQ" for the bug mounts and "Vashj'ir" for the Seahorse)
function lib:GetMountInfo(id)
	return lib.data["ground"][id], lib.data["air"][id], lib.data["water"][id], lib.data["specialSpeed"][id], lib.data["specialLocation"][id]
end